booster::system::error_category Class Referenceabstract

this class represents a category of errors. More...

`#include <booster/booster/system_error.h>`

Inheritance diagram for booster::system::error_category:

## Public Member Functions

virtual char const * | name () const =0
virtual std::string | message (int ev) const =0
bool | operator== (error_category const &other) const
bool | operator!= (error_category const &other) const
bool | operator< (error_category const &other) const

## Detailed Description

this class represents a category of errors.

Technically it allows to convert a numerical error representation to human readable error message.

This class is just an interface that should be implemented for each specific category

## Member Function Documentation

virtual std::string booster::system::error_category::message | ( | int | ev | ) | const

pure virtual

Convert the error code representation to the human readable text

Implemented in booster::aio::aio_error::category.

Referenced by booster::system::error_code::message().

virtual char const* booster::system::error_category::name | ( |  | ) | const

pure virtual

The name of the category

Implemented in booster::aio::aio_error::category.

Referenced by booster::system::error_code::message().

The documentation for this class was generated from the following file:

- booster/system_error.h